Subject: RE: [Isis-wg] IS-IS over IPv4 encapsulation

From: Jeff Parker <[email-masked]>
Date: Tue, 28 May 2002 10:43:00 -0400

> I would like to ask a couple of questions regarding IS-IS 
> [IP] protocol encapsulation.

Yongjun -

As I recall, the main push for this was to avoid the 
'cell tax' over ATM.  The reasoning went something 
like the following.

	If you have OSI and IP traffic on a link, you 
	will need to encapsulate them to distinguish them

	If you encapsulate, you will need extra bytes

	If you have extra bytes, the IP Ack, which is 
	very common, takes 2 ATM cells rather than 1, 
	which leads to a decrease in the amount of 
	traffic your link can take.  

Henk Smit came up with a proposal to use the fact that
the first nibble of the packet can distinguish IP v4,
IP v6, and OSI.  (0x4, 0x6, and 0x8).  Thus people 
could use the null-encapsulation and avoid the cell tax.

After Henk's proposal, I didn't hear much about 
IP encapsulation for IS-IS.  Others may have a
different memory.  

I think GateD did ship a version with IP encapsulation,
but you should contact them directly to see if this is
something they plan to support going forward.

- jeff parker
- axiowave networks
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://spider.juniper.net/mailman/listinfo/isis-wg